GET/projects/api/v3/projects/health.json

Get health scores for projects

Calculate and return health scores for projects. If no project IDs are provided, returns health scores for all projects the user has access to.

Query Params

  • Name
    minLastActivityDate
    Type
    string
    Description

    filter by min last activity date

  • Name
    maxLastActivityDate
    Type
    string
    Description

    filter by max last activity date

  • Name
    pageSize
    Type
    integer
    Description

    number of items in a page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    onlyStarredProjects
    Type
    boolean
    Description

    filter by starred projects only

  • Name
    onlyProjectsWithAdminAccess
    Type
    boolean
    Description

    only projects the logged-in user has admin permissions on

    Default
    false
  • Name
    projectOwnerIds
    Type
    array[integer]
    Description

    filter by project owner ids

    Format
    Comma separated values
  • Name
    projectIds
    Type
    array[integer]
    Description

    filter by project ids

    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • projects

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    HealthScoresResponse contains an array of health scores.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

HealthScoresResponse
{
  "healthScores": [
    {
      "indicators": [
        {
          "description": "string",
          "key": "string",
          "name": "string",
          "penalty": 0,
          "taskId": 0,
          "weight": 0
        }
      ],
      "projectId": 0,
      "score": 0
    }
  ],
  "included": {
    "projects": {
      "additionalProp": {}
    }
  },
  "meta": {
    "averageSpend": 0,
    "data": {},
    "limit": 0,
    "nextCursor": "string",
    "page": {
      "count": 0,
      "hasMore": true,
      "pageOffset": 0,
      "pageSize": 0
    },
    "prevCursor": "string",
    "totalCapacity": 0
  }
}